Bug 1005779 - Review Request: uima-parent-pom - Apache UIMA Parent POM
Review Request: uima-parent-pom - Apache UIMA Parent POM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: uimaj
  Show dependency treegraph
 
Reported: 2013-09-09 07:57 EDT by gil cattaneo
Modified: 2014-01-30 23:30 EST (History)
2 users (show)

See Also:
Fixed In Version: uima-parent-pom-8-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 23:30:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log (7.58 KB, text/plain)
2014-01-16 04:36 EST, Michael Simacek
no flags Details

  None (edit)
Description gil cattaneo 2013-09-09 07:57:56 EDT
Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-6-1.fc19.src.rpm
Description:
UIMA (Unstructured Information Management Architecture).
UIMA promotes community development and reuse of annotators
that extract meta-data from unstructured information (text,
audio, video, etc.); it provides for externalized declaration of
type systems, component configuration, aggregation, and more,
supports scalablity, and provides tooling.

This package provides Parent for Apache UIMA Projects.
Fedora Account System Username: gil
Comment 1 Michael Simacek 2014-01-15 08:20:56 EST
It seems like there's already version 8 available: http://svn.apache.org/repos/asf/uima/build/tags/parent-pom-8/

Btw, why does it depend on 1005782 and not the other way around?
Comment 3 Michael Simacek 2014-01-15 11:59:42 EST
I think it shouldn't create circular dependency on uima-build-resources. That dependency is introduced only by maven-remote-resources-plugin and it seems irrelevant to packaging (judging from its name, though I didn't have a closer look at it)
Comment 4 gil cattaneo 2014-01-15 12:15:22 EST
Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-8-1.fc19.src.rpm

- remove uima-build-resources references
Comment 5 Michael Simacek 2014-01-16 04:36:01 EST
Created attachment 850952 [details]
build.log

It doesn't build for me
Comment 6 gil cattaneo 2014-01-16 12:27:45 EST
Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-8-1.fc19.src.rpm

- fix build deps list
Comment 7 gil cattaneo 2014-01-16 12:28:05 EST
Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-8-2.fc19.src.rpm

- fix build deps list
Comment 8 gil cattaneo 2014-01-16 12:45:13 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6416418
Comment 9 Michael Simacek 2014-01-17 04:34:09 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- you removed maven-resource-plugin, but you still have BR on it
- java-devel BR is automatically pulled in by maven-local, therefore unnecessary

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uima-parent-pom-8-2.fc21.noarch.rpm
          uima-parent-pom-8-2.fc21.src.rpm
uima-parent-pom.noarch: E: devel-dependency java-devel
uima-parent-pom.noarch: W: spelling-error %description -l en_US scalablity -> capability
uima-parent-pom.src: W: spelling-error %description -l en_US scalablity -> capability
uima-parent-pom.src: W: invalid-url Source0: uima-parent-pom-8.tar.xz
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint uima-parent-pom
uima-parent-pom.noarch: E: devel-dependency java-devel
uima-parent-pom.noarch: W: spelling-error %description -l en_US scalablity -> capability
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
uima-parent-pom (rpmlib, GLIBC filtered):
    java-devel
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-antrun-plugin)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.apache:apache)
    mvn(org.codehaus.mojo:build-helper-maven-plugin)



Provides
--------
uima-parent-pom:
    mvn(org.apache.uima:parent-pom)
    mvn(org.apache.uima:parent-pom:pom:)
    uima-parent-pom



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1005779
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 10 gil cattaneo 2014-01-17 12:31:55 EST
Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-8-3.fc19.src.rpm

- add BR maven-resource-plugin
- remove unnecessary BR java-devel
Comment 11 Michael Simacek 2014-01-22 04:13:40 EST
I'm sorry, I meant you to remove BR on maven-remote-resources-plugin, but typed just maven-resource-plugin by accident. Just remove BR on maven-remote-resources-plugin, because it is disabled and therefore not needed. That's just a simple thing, you can do it during import.
Comment 12 gil cattaneo 2014-01-22 05:40:27 EST
No problems! Thanks for review!

Spec URL: http://gil.fedorapeople.org/uima-parent-pom.spec
SRPM URL: http://gil.fedorapeople.org/uima-parent-pom-8-3.fc19.src.rpm


New Package SCM Request
=======================
Package Name: uima-parent-pom
Short Description: Apache UIMA Parent POM
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 13 Gwyn Ciesla 2014-01-22 07:55:14 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-01-22 08:55:47 EST
uima-parent-pom-8-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uima-parent-pom-8-3.fc20
Comment 15 Fedora Update System 2014-01-23 06:08:24 EST
uima-parent-pom-8-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2014-01-30 23:30:29 EST
uima-parent-pom-8-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.